# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob('ImageManager_Setup-*.exe')[0]
    # Installing the software
    
    install_exe_if_needed(bin_name,
        silentflags='/quiet IACCEPT=STORAGECRAFT.EULA Language=en-US Reboot=No',
        key='{8bdf051e-e063-4b64-9b68-aa89eebdbe50}',
        min_version=control.get_software_version(),
    )



